Bug 152009 - fast/canvas/canvas-too-large-to-draw.html failing on El Capitan Debug
Summary: fast/canvas/canvas-too-large-to-draw.html failing on El Capitan Debug
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Macintosh OS X 10.11
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-12-08 12:33 PST by Ryan Haddad
Modified: 2016-04-28 14:49 PDT (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2015-12-08 12:33:56 PST
fast/canvas/canvas-too-large-to-draw.html failing on El Capitan Debug

Run:
<https://build.webkit.org/builders/Apple%20El%20Capitan%20Debug%20WK2%20%28Tests%29/builds/1543>
Results:
<https://build.webkit.org/results/Apple%20El%20Capitan%20Debug%20WK2%20(Tests)/r193764%20(1543)/results.html>

--- /Volumes/Data/slave/elcapitan-debug-tests-wk2/build/layout-test-results/fast/canvas/canvas-too-large-to-draw-expected.txt
+++ /Volumes/Data/slave/elcapitan-debug-tests-wk2/build/layout-test-results/fast/canvas/canvas-too-large-to-draw-actual.txt
@@ -1,2 +1,2 @@
-CONSOLE MESSAGE: line 36: Canvas area exceeds the maximum limit (width * height > 268435456).
+CONSOLE MESSAGE: line 31: TypeError: null is not an object (evaluating 'ctx.fillStyle = "lime"')
Comment 1 Ryan Haddad 2015-12-08 12:38:06 PST
Marked as flaky on ElCapitan Debug in r193770
Comment 2 Brent Fulgham 2015-12-08 16:01:11 PST
This is related to my change. For some reason, the active pixel count is reaching our maximum threshold while running tests on these machines.

This indicates that either the canvas buffers are getting held onto longer than we expect, or the bookkeeping code is not properly decrementing the counts when run under the test system.

Skipping for now is a good approach, and I'll look into the underlying issue.
Comment 3 Ryan Haddad 2015-12-08 16:23:46 PST
Changed expectation to skip in <https://trac.webkit.org/r193794>
Comment 4 Ryan Haddad 2015-12-08 16:40:47 PST
Skipped on Win with <https://trac.webkit.org/r193797>
Comment 5 Alexey Proskuryakov 2015-12-09 19:33:06 PST
Why not roll out the change until this issue can be addressed? The regression seems pretty bad.
Comment 6 Brent Fulgham 2015-12-10 09:07:03 PST
(In reply to comment #5)
> Why not roll out the change until this issue can be addressed? The
> regression seems pretty bad.

I disagree. I think the problem corrected by this patch is far more severe than this test failing.

I'll try to get this test fixed in the next day or two.
Comment 7 Radar WebKit Bug Importer 2015-12-10 09:42:04 PST
<rdar://problem/23841377>
Comment 8 Brent Fulgham 2015-12-10 09:52:29 PST
(In reply to comment #6)
> (In reply to comment #5)
> > Why not roll out the change until this issue can be addressed? The
> > regression seems pretty bad.
> 
> I disagree. I think the problem corrected by this patch is far more severe
> than this test failing.
> 
> I'll try to get this test fixed in the next day or two.

I just talked with Alexey about the history of the original "canvas-too-large-to-draw" test, and I now agree that it is very important to keep this running.

Therefore, I'll roll my patch out and re-enable this test.
Comment 9 Brent Fulgham 2016-04-28 14:49:36 PDT
Note that my fix (which made this test flaky) was re-landed:

Revised patch (to satisfy the test case) re-landed:

Committed r194290: <http://trac.webkit.org/changeset/194290>